# CreateJobTask

Create a new task on a phase

`POST /api/v2/companies/{companyId}/jobs/{jobId}/phases/{phaseId}/tasks`

**API:** AvaTax API
**Tag:** Jobs
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Jobs/CreateJobTask/

## Description

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin.
* This API depends on the following active services:*Required* (all):  AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID number of the company |
| `jobId` | integer | path | Yes | The unique ID number of the job |
| `phaseId` | integer | path | Yes | The unique ID number of the phase |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `JobTaskModel`

A task within a certificate job phase.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique ID number of this task. Example: `1`. |
| `phaseId` | integer | No | The ID of the phase this task belongs to. Example: `1`. |
| `name` | string | No | The name of this task. Example: `Task 1`. |
| `taskCode` | string | No | The unique code for this task. Example: `J-1-P-1-T-1`. |
| `createdDate` | string | No | The date when this task was created. Example: `2026-02-23T04:40:54Z`. |
| `modifiedDate` | string | No | The date when this task was last modified. Example: `2026-02-23T04:40:54Z`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JobTaskModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `JobTaskModel`

A task within a certificate job phase.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique ID number of this task. Example: `1`. |
| `phaseId` | integer | No | The ID of the phase this task belongs to. Example: `1`. |
| `name` | string | No | The name of this task. Example: `Task 1`. |
| `taskCode` | string | No | The unique code for this task. Example: `J-1-P-1-T-1`. |
| `createdDate` | string | No | The date when this task was created. Example: `2026-02-23T04:40:54Z`. |
| `modifiedDate` | string | No | The date when this task was last modified. Example: `2026-02-23T04:40:54Z`. |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/jobs/{jobId}/phases/{phaseId}/tasks" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "id": 1,
  "phaseId": 1,
  "name": "Task 1",
  "taskCode": "J-1-P-1-T-1",
  "createdDate": "2026-02-23T04:40:54Z",
  "modifiedDate": "2026-02-23T04:40:54Z"
}'
```